Jobs
List Jobs
GET
/
jobs
List jobs
curl --request GET \
--url https://api.mindcase.co/api/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mindcase.co/api/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mindcase.co/api/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobs": [
{
"id": "job_abc123def456",
"agent": "instagram/profiles",
"status": "completed",
"row_count": 2,
"usd_used": 0.007,
"created_at": "2026-03-31T10:15:00Z",
"completed_at": "2026-03-31T10:15:47Z"
}
]
}{
"error": "unauthorized",
"message": "Invalid or missing API key. Include your key in the Authorization header as 'Bearer mk_live_...'."
}Was this page helpful?
⌘I
List jobs
